Subject: RE: [Mip4] Updated draft for Mobile IPv4NAI-based Home AddressAssignment...

From: "Kent Leung \(kleung\)" <[email-masked]>
Date: Tue, 21 Mar 2006 12:35:36 -0800

Hi Hasse.  No offense taken.

I've seen section 3.7.3.1 before and aware of FA's operation.  Though I
can counter that this does not apply for collocated Care-of Address
case. ;)  But I did find in section 3.8.3.2 that HA must not change the
non-zero Home Address field in the RRP.

The intent of our draft is not to mandate any changes to MUST statements
in RFC 3344, but to clarify RFC 2794.  Its purpose is to clarify the
various scenarios such as registration, reregistration, and
deregistration for operating conditions such as MN reboot, HA reload,
etc.

So I think it's clear to avoid standards deviation that we can stick
with the rejection reply instead of any optimization procedure for
dynamic home address assignment.

Kent 

> -----Original Message-----
> From: Hans Sjostrand [mailto:[email-masked]] 
> Sent: Tuesday, March 21, 2006 2:31 AM
> To: [email-masked]
> Subject: Re: [Mip4] Updated draft for Mobile IPv4NAI-based 
> Home AddressAssignment...
> 
> Hi Kent,
> 
> After re-reading my message I noticed that the tone was very 
> harsh. That was not my intention and I apologize for it.
> 
> I just wanted to clarify my position on HoA==0 and HoA!=0 and 
> I think that it's important that we don't re-classify those 
> basic indicators.
> 
> I think it's admirable to do an effort to clarify, educate 
> and improve interoperability. Sorry if I just complained, 
> instead of contributing.
> 
> Best regards
> /// Hasse
> 
> On 2006-03-21 11:13, Hans Sjostrand wrote:
> > Hi Kent,
> >
> > I do not think that the draft clarified some ambiguities, 
> instead it 
> > created ambiguities. I believe that the RFC3344 is quite clear and 
> > leaves no ambiguity on "that HA couldn't assign a different Home 
> > Address when the requested one"
> >
> > 3.7.3.1. Validity Checks
> >   
> >>    When a foreign agent receives a Registration Reply 
> message, it MUST
> >>    search its visitor list for a pending Registration 
> Request with the
> >>    same mobile node home address as indicated in the 
> Reply.  If no such
> >>    pending Request is found, and if the Registration Reply does not
> >>    correspond with any pending Registration Request with a 
> zero mobile
> >>    node home address (see section 3.7.1), the foreign agent MUST
> >>    silently discard the Reply. 
> >>     
> >
> > If you want to create another draft to clarify this again, 
> please feel 
> > free. But do not alter the MUST statements in RFC3344.
> >
> > Best regards
> > /// Hasse
> >

-- 
Mip4 mailing list: [email-masked]
    Web interface: https://www1.ietf.org/mailman/listinfo/mip4
     Charter page: http://www.ietf.org/html.charters/mip4-charter.html
Supplemental site: http://www.mip4.org/